Name:		dot2tex
Version:	2.9.0
Release:	%mkrel 1
Summary:	Graphviz to LaTeX converter
License:	MIT
Group:		Publishing
Url:		http://www.fauskes.net/code/dot2tex/
Source0:	https://pypi.python.org/packages/source/d/dot2tex/%{name}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(setuptools)
Requires:	python-parsing
Requires:	emacs-auctex
Requires:	graphviz
Recommends:	texlive

%description
The purpose of dot2tex is to give graphs generated by Graphviz a more
LaTeX friendly look and feel. This is accomplished by converting dot
output from Graphviz to a series of PSTricks or PGF/TikZ
commands. This approach allows:

* Typesetting labels with LaTeX, allowing mathematical notation.
* Using native PSTricks and PGF/TikZ commands for drawing arrows (optional).
* Using back-end specific styles to customize the output

Dot2tex can preprocess graphs using the preview package. Information
about label sizes will be extracted and used to get correctly sized
nodes and edge labels.

%prep
%setup -q

# Remove bundled egg-info
rm -rf %{name}.egg-info

%build
%py2_build

%install
%py2_install

%files
%doc AUTHORS CHANGES LICENSE readme.md docs/* examples/
%{_bindir}/%{name}
%{python2_sitelib}/%{name}-*.egg-info
%{python2_sitelib}/%{name}/*.py*


%changelog
* Sat Jan 23 2016 daviddavid <daviddavid> 2.9.0-1.mga6
+ Revision: 926631
- new version: 2.9.0
- use new python macros
- update Source URL
- update doc file list

* Wed Oct 15 2014 umeabot <umeabot> 2.8.7-12.mga5
+ Revision: 748302
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.8.7-11.mga5
+ Revision: 726143
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.8.7-10.mga5
+ Revision: 678816
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sat May 31 2014 pterjan <pterjan> 2.8.7-9.mga5
+ Revision: 628162
- Rebuild for new Python

* Fri Oct 18 2013 umeabot <umeabot> 2.8.7-8.mga4
+ Revision: 503934
- Mageia 4 Mass Rebuild

  + marja <marja>
    - remove PYTHONDONTWRITEBYTECODE=
    - make files list more explicit
    - further cleaned spec a bit

  + pterjan <pterjan>
    - Rebuild to add different pythonegg provides for python 2 and 3

* Fri Jan 11 2013 umeabot <umeabot> 2.8.7-5.mga3
+ Revision: 349066
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 malo <malo> 2.8.7-4.mga3
+ Revision: 328886
- update RPM group

* Sat Feb 11 2012 malo <malo> 2.8.7-3.mga2
+ Revision: 207357
- spec clean-up after import from Mandriva (spec from Lev Givon)
- imported package dot2tex


* Tue Dec 27 2011 Lev Givon <lev@mandriva.org> 2.8.7-3mdv2012.0
+ Revision: 745767
- Only suggest installing texlive.

* Tue Dec 27 2011 Lev Givon <lev@mandriva.org> 2.8.7-2
+ Revision: 745479
- Update install dependency from tetex-latex to texlive-texmf.

* Wed Jun 01 2011 Lev Givon <lev@mandriva.org> 2.8.7-1
+ Revision: 682247
- import dot2tex


